#!/bin/bash

example_dir=@CMAKE_BINARY_DIR@/examples

PASSED=1

ln -s $example_dir/dmph_examplekv
ln -s $example_dir/bcsstk17.mtx
cp $example_dir/real_bcsstk17.in cgc.in

param=$1

sed "/ICNTL(13)/c\ " -i cgc.in # Do not care about SDS for facto
sed "/ICNTL(21)/c\ICNTL(21) = 10" -i cgc.in # Use CGC
echo "ICNTL(51) = $param" # Type of CGC to be tested
sed "/ICNTL(51)/c\ICNTL(51) = $param" -i cgc.in
NITER=`@MPIEXEC_EXECUTABLE@ @MPIEXEC_NUMPROC_FLAG@ 4 @MPIEXEC_PREFLAGS@ ./dmph_examplekv @MPIEXEC_POSTFLAGS@ cgc.in 2> outcgc | grep -i 'IINFOG    5' | awk '{print $3}'`
if [ $NITER -gt 0 ]
then
    echo "Test with ICNTL(51) = $param passed with $NITER iterations."
else
    echo "Test with ICNTL(51) = $param failed."
    PASSED=0
fi

# Cleanup
for f in dmph_examplekv bcsstk17.mtx cgc.in outcgc
do
    rm $f
done

if [ $PASSED -eq 1 ]
then
    echo "SUCCESS"
    exit 0
else
    echo "FAILURE"
    exit 1
fi
